> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Shifts to Existing Check

> Add one or more shifts to an existing, pending employee check.

See the [Shift Object](/reference/employee-checks/shifts/shift-object) for the shift schema.


## OpenAPI

````yaml openapi/employee-checks.json post /shifts
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /shifts:
    post:
      summary: Add Shifts to Existing Check
      operationId: add-shifts-to-existing-check
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - shifts
                - companyID
                - employeeCheckID
              properties:
                shifts:
                  type: array
                  description: >-
                    List of [Shift Object](ref:shift-object) that need to be
                    added to the employee check.
                  items:
                    properties:
                      time:
                        type: string
                        description: ISO-8601 indicating when the shift was completed
                        format: date-time
                      hourly:
                        type: object
                        required:
                          - hours
                        properties:
                          hours:
                            type: number
                            description: Number of regular hours worked in this shift
                            default: 0
                            format: float
                          wage:
                            type: number
                            description: >-
                              Wage for this employee. If not provided, Zeal uses
                              employee's default_wage
                            default: 0
                            format: float
                          custom_name:
                            type: string
                            description: Custom name to be attached to an earning component
                    required:
                      - time
                    type: object
                companyID:
                  type: string
                  description: Company ID of the employer
                employeeCheckID:
                  type: string
                  description: ID of Employee Check that the shift should be added to
            examples:
              Request Example:
                value:
                  shifts:
                    - hourly:
                        hours: 10
                        wage: 33
                        custom_name: hourly
                      overtime:
                        hours: 2
                      time: 2023-3-29
                  companyID: fc235f092bwe46aa8a082f357715bcfa
                  employeeCheckID: f251842623e942d6bab6ad2bca436d95
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: "{\n \"success\": true,\n \"data\": {\n    \"employeeCheckID\": \"9827465739\",\n    \"employerCheckID\": null,\n    \"companyID\": \"1b5n28nrideucd24\",\n    \"employeeID\": \"1234567890\",\n    \"status\": \"pending\",\n    \"first_name\": \"erlich\",\n    \"middle_initial\": null,\n    \"last_name\": \"bachman\",\n    \"reportingPeriodID\": \"0982349584387523234\",\n    \"check_date\": \"2023-10-07\",\n    \"metadata\": {\n      \"checkCorrelationID\": \"1\"\n    },\n    \"disbursement\": {\n      \"method\": \"direct_deposit\"\n    },\n    \"net_pay\": null,\n    \"taxes\": null,\n    \"total_employer_taxes\": null,\n    \"total_employee_taxes\": null,\n    \"shifts\": [\n      {\n        \"employeeID\": \"1234567890\",\n        \"shiftID\": \"123456789\",\n        \"first_name\": \"erlich\",\n        \"last_name\": \"bachman\",\n        \"metadata\": {},\n        \"time\": \"2023-01-12T10:00:00\",\n\t\t\t\t\"workLocationID\": \"bcc34345ereretwe3rw31234ee\",\n        \"hourly\": {\n          \"hours\": 2,\n          \"wage\": 20\n        }\n      }\n    ]\n  }\n}"
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: false
                    errors:
                      - message: >-
                          Shift object(s) is missing required fields or has
                          improperly formatted data
                        code: 13
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                    default: true
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: >-
                            Shift object(s) is missing required fields or has
                            improperly formatted data
                        code:
                          type: integer
                          example: 13
                          default: 0
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````